/* 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */
package android.androidVNC;

import android.app.Activity;
import android.os.Bundle;
import android.view.KeyEvent;
import android.webkit.WebSettings;
import android.webkit.WebView;
/**
 * <p>(Se omiten acentos)</p>
 * <p>Clase para mostrar el fichero HTML donde se han escrito los sucesos importante sucedidos en la ejecucion del programa.</p>
 * <p>Fichero: WebViewActivity.java</p>
 * <p>Aadido al PFC en la version v0.2.8</p>
 * <p><b>Proyecto original:</b></p>
 * 		<p>Web: http://code.google.com/p/android-vnc-viewer/.</p>
 * 		<p>Release: 39.</p>
 *	 	<p>Migrada a release 60.</p>
 * @author Alberto Poblacion Navarro
 */
public class WebViewActivity extends Activity{
	/** Vista que permite mostrar contenido web */
	private WebView webView;
	/** Variable donde se almacena la configuracion de la WebView */
	private WebSettings webSettings;
	/**
	 * Funcion llamada automaticamente cuando se lanza la actividad. Se crea una WebView y se configura.
	 */
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		//Se creaun nueva WebView y se carga la direccin del archivo
		webView=new WebView(this);
		//Esta accin automticamenta llamara a openFile 
		//del ContentProvider android.androidVNC del archvio androidVNC.html
		//Este contente provider ha sido declarado en el AndroidManifest.xml con la clase mContentProvider 
		webView.loadUrl("content://android.androidVNC.mContentProvider/androidVNC.html");
		webSettings = webView.getSettings();
		//Mostramos la vista y los controles de zoom
		setContentView(webView);
		webSettings.setBuiltInZoomControls(true);
	}
	/**
	 * Funcion llamada cuando se finalize la actividad.
	 */
	@Override
	protected void onDestroy() {
		super.onDestroy();
	}
	/**
	 * Funcion para registrar la pulsacion de una tecla. 
	 */
	@Override
	public boolean onKeyDown(int keyCode, KeyEvent event) {
		// TODO Auto-generated method stub
		//Si pulsamos las teclas de sonido hacemos mas o menos zoom.
		switch (keyCode) {
		case KeyEvent.KEYCODE_VOLUME_UP:
			return webView.zoomIn();
		case KeyEvent.KEYCODE_VOLUME_DOWN:
			return webView.zoomOut();
		default:
			return super.onKeyDown(keyCode, event);
		}
	}
	
	
	

}
